Debian Bug report logs - #627362
ITP: jitsi -- multi-protocol audio/video and chat communicator

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Antoine Beaupré <anarcat@debian.org>

Date: Fri, 20 May 2011 01:00:02 UTC

Owned by: Damian Minkov <damencho@jitsi.org>

Severity: wishlist

Done: Mònica Ramírez Arceda <monica@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#627362; Package wnpp. (Fri, 20 May 2011 01:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@koumbit.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Fri, 20 May 2011 01:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@koumbit.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: jitsi -- multi-protocol audio/video and chat communicator
Date: Thu, 19 May 2011 20:57:48 -0400
Package: wnpp
Severity: wishlist

* Package name    : jitsi
  Version         : 1.0-beta1
  Upstream Author : <unclear>
* URL             : http://www.jitsi.org/
* License         : LGPL-2.1
  Programming Lang: Java
  Description     : multi-protocol audio/video and chat communicator

Jitsi (previously SIP Communicator) is an audio/video and chat
communicator that supports protocols such as SIP, XMPP/Jabber, AIM/ICQ,
Windows Live, Yahoo!, Bonjour and many other useful features.

Note that upstream already has a Debian package here:

http://www.jitsi.org/index.php/Main/DebianRepository




Changed Bug submitter to 'Antoine Beaupré <anarcat@debian.org>' from 'Antoine Beaupré <anarcat@koumbit.org>' Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Tue, 08 Nov 2011 01:48:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#627362; Package wnpp. (Sun, 20 Nov 2011 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 20 Nov 2011 20:03:03 GMT) Full text and rfc822 format available.

Message #12 received at 627362@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: dev@jitsi.java.net
Cc: 627362@bugs.debian.org
Subject: Re: [jitsi-dev] Git for jitsi, native Debian package?
Date: Sun, 20 Nov 2011 21:00:31 +0100
Hi,

after a first look, jitsi won't be easy at all to package. I write down my 
impressions if others want to look into the packaging and maybe you could help 
a bit to make it easier. I'm sorry for any mistake in the following.

Jitsi has a LOT of dependencies, all of them committed as binaries to lib/. 
The first thing for a packager (either Debian or Fedora) is to identify all 
these libraries, remove them from the upstream tarball and try to compile 
jitsi with the versions of the libraries available in the distribution.

This would be easier, if the dependencies would be managed, e.g. by ivy or 
maven. Thus each dependency would be clearly identified.

I've found the evil json.org library of Crockford in the dependencies. The 
license of this library forbids inclusion in any free software distribution:
http://www.mail-archive.com/debian-legal@lists.debian.org/msg40718.html

Maybe jitsi could be breaken up in smaller parts, separating OS dependent 
stuff and optional functionality. Then a debian packager could start with the 
core functionality.

The project is a mixed C/Java project. Shared C libraries are also committed 
to SVN without information about their origin. It would be much much easier, 
if those parts interacting with C code could be seperated from the rest of the 
plain java code.

The jitsi SVN contains patches for other projects e.g. ffmpeg. In a 
distribution I try of course to reuse the already packaged projects.

I don't know about OSGI, but I believe that it wouldn't be necessary to have 
so many repetitive blocks to create OSGI compliant jars. Could the bnd tool 
help with this?

What is your opinion? Are you interested to have jitsi in Fedora, RedHat, 
Debian and Ubuntu? In this case I think the best way would be if packagers 
would first work together with you to do some preparation work directly in 
your repository. This in turn would be much easier if you'd use Git.

Best regards and thank you for Jitsi,

Thomas Koch, http://www.koch.ro




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#627362; Package wnpp. (Sun, 20 Nov 2011 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emil Ivov <emcho@jitsi.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 20 Nov 2011 20:21:03 GMT) Full text and rfc822 format available.

Message #17 received at 627362@bugs.debian.org (full text, mbox):

From: Emil Ivov <emcho@jitsi.org>
To: thomas@koch.ro
Cc: dev@jitsi.java.net, 627362@bugs.debian.org
Subject: Re: [jitsi-dev] Re: Git for jitsi, native Debian package?
Date: Sun, 20 Nov 2011 21:19:49 +0100
Hey Thomas,

Thanks for looking into this!

We are of course interested in having Jitsi integrated in the Debian
repos. We are also aware of the problems that are caused by the way we
store our dependencies. (They were actually already raised on this list
by Daniel Zucchetto).

Off the top of my head, the easiest way for us to fix this issue would
be to simply copy the source code zip/jar files in the Jitsi repo since
we need the libs packages in our binaries which would make their use
from within other libs quite tricky.

Would this work?

Emil

На 20.11.11 21:00, Thomas Koch написа:
> Hi,
> 
> after a first look, jitsi won't be easy at all to package. I write down my 
> impressions if others want to look into the packaging and maybe you could help 
> a bit to make it easier. I'm sorry for any mistake in the following.
> 
> Jitsi has a LOT of dependencies, all of them committed as binaries to lib/. 
> The first thing for a packager (either Debian or Fedora) is to identify all 
> these libraries, remove them from the upstream tarball and try to compile 
> jitsi with the versions of the libraries available in the distribution.
> 
> This would be easier, if the dependencies would be managed, e.g. by ivy or 
> maven. Thus each dependency would be clearly identified.
> 
> I've found the evil json.org library of Crockford in the dependencies. The 
> license of this library forbids inclusion in any free software distribution:
> http://www.mail-archive.com/debian-legal@lists.debian.org/msg40718.html
> 
> Maybe jitsi could be breaken up in smaller parts, separating OS dependent 
> stuff and optional functionality. Then a debian packager could start with the 
> core functionality.
> 
> The project is a mixed C/Java project. Shared C libraries are also committed 
> to SVN without information about their origin. It would be much much easier, 
> if those parts interacting with C code could be seperated from the rest of the 
> plain java code.
> 
> The jitsi SVN contains patches for other projects e.g. ffmpeg. In a 
> distribution I try of course to reuse the already packaged projects.
> 
> I don't know about OSGI, but I believe that it wouldn't be necessary to have 
> so many repetitive blocks to create OSGI compliant jars. Could the bnd tool 
> help with this?
> 
> What is your opinion? Are you interested to have jitsi in Fedora, RedHat, 
> Debian and Ubuntu? In this case I think the best way would be if packagers 
> would first work together with you to do some preparation work directly in 
> your repository. This in turn would be much easier if you'd use Git.
> 
> Best regards and thank you for Jitsi,
> 
> Thomas Koch, http://www.koch.ro
> 

-- 
Emil Ivov, Ph.D.                       67000 Strasbourg,
Project Lead                           France
Jitsi
emcho@jitsi.org                        PHONE: +33.1.77.62.43.30
http://jitsi.org                       FAX:   +33.1.77.62.47.31





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#627362; Package wnpp. (Tue, 22 Nov 2011 15:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 22 Nov 2011 15:12:04 GMT) Full text and rfc822 format available.

Message #22 received at 627362@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: dev@jitsi.java.net
Cc: Emil Ivov <emcho@jitsi.org>, 627362@bugs.debian.org, Richard Shaw <hobbes1069@gmail.com>, Daniel Zucchetto <dzmail90-voip@yahoo.it>, Pavel Tankov <tankov_pavel@yahoo.com>
Subject: Re: [jitsi-dev] Re: Git for jitsi, native Debian package?
Date: Tue, 22 Nov 2011 16:09:24 +0100
Emil Ivov:
> Hey Thomas,
> 
> Thanks for looking into this!
> 
> We are of course interested in having Jitsi integrated in the Debian
> repos. We are also aware of the problems that are caused by the way we
> store our dependencies. (They were actually already raised on this list
> by Daniel Zucchetto).
> 
> Off the top of my head, the easiest way for us to fix this issue would
> be to simply copy the source code zip/jar files in the Jitsi repo since
> we need the libs packages in our binaries which would make their use
> from within other libs quite tricky.
> 
> Would this work?
> 
> Emil

Hi Emil,

thank you for your interest. However I'm afraid I don't understand your last 
paragraph at all. Anyways, I won't be able to package jitsi alone, since I 
only have some experience with java packages but don't know to package C 
stuff.

In any case, there are some things that Jitsi should/could/must do itself to 
make a native package for Debian/Fedora/OpenSuse doable. I've opened jira 
issues for those and linked them from an umbrella issue:

http://java.net/jira/browse/JITSI-996

We can continue to discuss the items separately in those issues.

Regards,

Thomas Koch, http://www.koch.ro




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#627362; Package wnpp. (Tue, 22 Nov 2011 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emil Ivov <emcho@jitsi.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 22 Nov 2011 16:03:03 GMT) Full text and rfc822 format available.

Message #27 received at 627362@bugs.debian.org (full text, mbox):

From: Emil Ivov <emcho@jitsi.org>
To: thomas@koch.ro
Cc: dev@jitsi.java.net, 627362@bugs.debian.org, Richard Shaw <hobbes1069@gmail.com>, Daniel Zucchetto <dzmail90-voip@yahoo.it>, Pavel Tankov <tankov_pavel@yahoo.com>
Subject: Re: [jitsi-dev] Re: Git for jitsi, native Debian package?
Date: Tue, 22 Nov 2011 16:58:34 +0100
Hey  Thomas,

On Tue, Nov 22, 2011 at 4:09 PM, Thomas Koch <thomas@koch.ro> wrote:
> Emil Ivov:
>> Hey Thomas,
>>
>> Thanks for looking into this!
>>
>> We are of course interested in having Jitsi integrated in the Debian
>> repos. We are also aware of the problems that are caused by the way we
>> store our dependencies. (They were actually already raised on this list
>> by Daniel Zucchetto).
>>
>> Off the top of my head, the easiest way for us to fix this issue would
>> be to simply copy the source code zip/jar files in the Jitsi repo since
>> we need the libs packages in our binaries which would make their use
>> from within other libs quite tricky.
>>
>> Would this work?
>>
>> Emil
>
> Hi Emil,
>
> thank you for your interest. However I'm afraid I don't understand your last
> paragraph at all. Anyways, I won't be able to package jitsi alone, since I
> only have some experience with java packages but don't know to package C
> stuff.

Sure. I am not sure if you have already noticed but we do already
maintain fucntional debian packages that should be a good basis.

> In any case, there are some things that Jitsi should/could/must do itself to
> make a native package for Debian/Fedora/OpenSuse doable. I've opened jira
> issues for those and linked them from an umbrella issue:
>
> http://java.net/jira/browse/JITSI-996

Ouch ... that's something that we like to avoid [0].

We only enter issues once we've determined exactly what they are and
decided that we'll be fixing them at some point. I've closed the
issues and we'll reopen those that we agree on, if and when we do.
Right now we are still in the discussion stages of the debian
packaging. We'd first need to decide exactly what needs to be resolved
here and how we can do that.

As for the svn-to-git switch: as much as I appreciate git's
versatility, I am afraid a switch would require too much effort so
it's not in our foreseeable roadmap. Besides, I am not convinced all
developers would feel more comfortable with it than with SVN.

Cheers,
Emil

[0] http://www.jitsi.org/index.php/Development/BugsAndIssues

> We can continue to discuss the items separately in those issues.
>
> Regards,
>
> Thomas Koch, http://www.koch.ro
>



-- 
Emil Ivov, Ph.D.                       67000 Strasbourg,
Project Lead                           France
Jitsi
emcho@jitsi.org                        PHONE: +33.1.77.62.43.30
http://jitsi.org                       FAX:   +33.1.77.62.47.31




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#627362; Package wnpp. (Sat, 14 Jan 2012 00:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 14 Jan 2012 00:24:03 GMT) Full text and rfc822 format available.

Message #32 received at 627362@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: <627362@bugs.debian.org>
Cc: <627362-subscribe@bugs.debian.org>
Subject: Re: RFP: jitsi -- multi-protocol audio/video and chat communicator
Date: Sat, 14 Jan 2012 02:20:46 +0200
Hey.

What's the status here... are there still efforts going on? :)

Cheers,
Chris




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#627362; Package wnpp. (Sun, 05 Aug 2012 10:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micha Lenk <micha@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 05 Aug 2012 10:48:05 GMT) Full text and rfc822 format available.

Message #37 received at 627362@bugs.debian.org (full text, mbox):

From: Micha Lenk <micha@debian.org>
To: Emil Ivov <emcho@jitsi.org>, 627362@bugs.debian.org
Cc: thomas@koch.ro, dev@jitsi.java.net, Richard Shaw <hobbes1069@gmail.com>, Daniel Zucchetto <dzmail90-voip@yahoo.it>, Pavel Tankov <tankov_pavel@yahoo.com>
Subject: Re: Bug#627362: [jitsi-dev] Re: Git for jitsi, native Debian package?
Date: Sun, 5 Aug 2012 12:27:44 +0200
Hi Emil,

by looking for free software alternatives for Skype available on Debian, I got
aware of jitsi, which seems to have an awesome feature set. As it is not
available in the official Debian archive, I looked around and found out about
the recent efforts to package it for Debian (namely Debian bug #627362).

On Tue, Nov 22, 2011 at 04:58:34PM +0100, Emil Ivov wrote:
> On Tue, Nov 22, 2011 at 4:09 PM, Thomas Koch <thomas@koch.ro> wrote:
> > In any case, there are some things that Jitsi should/could/must do itself to
> > make a native package for Debian/Fedora/OpenSuse doable. I've opened jira
> > issues for those and linked them from an umbrella issue:
> >
> > http://java.net/jira/browse/JITSI-996
> 
> Ouch ... that's something that we like to avoid [0].
> 
> We only enter issues once we've determined exactly what they are and
> decided that we'll be fixing them at some point. I've closed the
> issues and we'll reopen those that we agree on, if and when we do.
> Right now we are still in the discussion stages of the debian
> packaging. We'd first need to decide exactly what needs to be resolved
> here and how we can do that.
> [...]
> 
> > We can continue to discuss the items separately in those issues.

Okay, so, let's list all the issues that Thomas reported already, here again.
For one to make them more visible, and also to get a consensus about the status
of these issues. Not using an issue tracker will of course make it harder to
keep track of the actual conclusions. But as you wanted to have it this way,
of course I expect that you will then give your opinion on them one by one,
more with regards to content than with regards the way we report issues.

-----------------------------------------------------------------------------

JITSI-995 document (or manage) native dependencies (by Thomas Koch)

  There's no central location where one can see which C libraries of what
  version, origin and license Jitsi uses, which of them are patched, in what way
  and for what reason.

  I'm not a C developer so I don't know if there's something like Maven/Ivy for
  C that manages dependencies?

-----------------------------------------------------------------------------

JITSI-994 Use Ivy or Maven to manage java dependencies (by Thomas Koch)

  It is hard for a distro (Debian/Fedora/Suse) packager to find out which java
  dependencies Jitsi has. A pom.xml or ivy.xml would make things much easier
  and then the dependencies could also be removed from SVN.

-----------------------------------------------------------------------------

JITSI-993 get rid of json.org java dependency (by Thomas Koch)

  The json.org java library is non-free according to Debian and maybe also
  other distros. As long as jitsi depends on json.org it can not enter the
  Debian archive.

  http://www.mail-archive.com/debian-legal@lists.debian.org/msg40718.html

-----------------------------------------------------------------------------

JITSI-997 Provide a source only tarball (by Thomas Koch)

  Linux distributions want to build their packages and all dependencies of
  those themselves. So it must be possible to download a source distribution of
  jitsi (prefarable as .tar.gz or .tar.bz2) that does not contain any
  third-party binaries and build jitsi from this source distribution with the
  help of the dependencies existing in the distro.

-----------------------------------------------------------------------------

JITSI-998 review and document licenses and origins of images in jitsi
          (by Thomas Koch)

  A distro packager needs to be sure that the images coming with Jitsi can be
  distributed under a free license. If the images are taken from common sets
  like Tango it would even be preferable for a packager to not ship the images
  in the jitsi package but to depend on the tango package of the distribution.

-----------------------------------------------------------------------------

I am looking forward to read your comments on these issues.

Regards,
Micha



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#627362; Package wnpp. (Mon, 06 Aug 2012 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emil Ivov <emcho@jitsi.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 06 Aug 2012 22:12:04 GMT) Full text and rfc822 format available.

Message #42 received at 627362@bugs.debian.org (full text, mbox):

From: Emil Ivov <emcho@jitsi.org>
To: Micha Lenk <micha@debian.org>
Cc: 627362@bugs.debian.org, thomas@koch.ro, dev@jitsi.java.net, Richard Shaw <hobbes1069@gmail.com>, Daniel Zucchetto <dzmail90-voip@yahoo.it>, Raphael Hertzog <raphael@freexian.com>
Subject: Re: Bug#627362: [jitsi-dev] Re: Git for jitsi, native Debian package?
Date: Tue, 7 Aug 2012 00:07:50 +0200
Hey Micha,

On Sun, Aug 5, 2012 at 12:27 PM, Micha Lenk <micha@debian.org> wrote:
> Hi Emil,
>
> by looking for free software alternatives for Skype available on Debian, I got
> aware of jitsi, which seems to have an awesome feature set. As it is not
> available in the official Debian archive, I looked around and found out about
> the recent efforts to package it for Debian (namely Debian bug #627362).
>
> On Tue, Nov 22, 2011 at 04:58:34PM +0100, Emil Ivov wrote:
>> On Tue, Nov 22, 2011 at 4:09 PM, Thomas Koch <thomas@koch.ro> wrote:
>> > In any case, there are some things that Jitsi should/could/must do itself to
>> > make a native package for Debian/Fedora/OpenSuse doable. I've opened jira
>> > issues for those and linked them from an umbrella issue:
>> >
>> > http://java.net/jira/browse/JITSI-996
>>
>> Ouch ... that's something that we like to avoid [0].
>>
>> We only enter issues once we've determined exactly what they are and
>> decided that we'll be fixing them at some point. I've closed the
>> issues and we'll reopen those that we agree on, if and when we do.
>> Right now we are still in the discussion stages of the debian
>> packaging. We'd first need to decide exactly what needs to be resolved
>> here and how we can do that.
>> [...]
>>
>> > We can continue to discuss the items separately in those issues.
>
> Okay, so, let's list all the issues that Thomas reported already, here again.
> For one to make them more visible, and also to get a consensus about the status
> of these issues.

Thanks for bringing them up!

> Not using an issue tracker will of course make it harder to
> keep track of the actual conclusions. But as you wanted to have it this way,
> of course I expect that you will then give your opinion on them one by one,
> more with regards to content than with regards the way we report issues.

We will of course open issues for those that we accept as such but
that can't happen until we've discussed them. We realize this is
frustrating but the alternative of simply dumping them in our tracker
would lead to ... well ... nothing. We may change our issue tracking
policy in the future, but right now, this is the only one we can
afford. Again, apologies for any inconvenience this may have caused,
and many thanks for bringing them here!

Now before, I continue, I've already mentioned in a couple of threads
that we are currently working on a debian tarball. This does imply a
lot of work since we need to come up with the generating scripts,
determine what libraries we can use as debian dependencies, implement
support for such dependencies (they won't work out of the box for
OSGi), retrieve the source code for the rest of the libs we use,
upload them to our libsrc, and make sure that they are properly build
by the Jitsi build process.

Hopefully, we would have all this by the end of the summer, early
autumn. Again, it is a lot of effort, but we realize how important it
would be for the project to get into Debian.

Another debian developer, Raphael Hertzog (CCed), will be guiding us
through the process and helping us where necessary.

Of course we'd be more than happy to also have you on board.

> -----------------------------------------------------------------------------
>
> JITSI-995 document (or manage) native dependencies (by Thomas Koch)
>
>   There's no central location where one can see which C libraries of what
>   version, origin and license Jitsi uses, which of them are patched, in what way
>   and for what reason.

This is exactly what the libsrc directory is for. We are still working
on filling it up and we should be done by the time we finish our
debian source tarball. Also note that all the patches we have used to
patch native libs are currently in src/native

>   I'm not a C developer so I don't know if there's something like Maven/Ivy for
>   C that manages dependencies?
>
> -----------------------------------------------------------------------------
>
> JITSI-994 Use Ivy or Maven to manage java dependencies (by Thomas Koch)
>
>   It is hard for a distro (Debian/Fedora/Suse) packager to find out which java
>   dependencies Jitsi has. A pom.xml or ivy.xml would make things much easier
>   and then the dependencies could also be removed from SVN.

Same as above: our libsrc should resolve this.

> -----------------------------------------------------------------------------
>
> JITSI-993 get rid of json.org java dependency (by Thomas Koch)
>
>   The json.org java library is non-free according to Debian and maybe also
>   other distros.

It kind of appears so indeed. Although the thread below does also show
rough consensus on the fact that it is unlikely for the statement to
be a problem in a court of law.

Still we do understand precautionary measures.

> As long as jitsi depends on json.org it can not enter the
>   Debian archive.

Right. Luckily, json.org is used for a particularly non-centric
feature in Jitsi (creating ippi.com accounts). We'll have a quick look
for alternatives and use one if it's not too much trouble. If it is,
we'll just remove the feature from the debian version.

>   http://www.mail-archive.com/debian-legal@lists.debian.org/msg40718.html
>
> -----------------------------------------------------------------------------
>
> JITSI-997 Provide a source only tarball (by Thomas Koch)
>
>   Linux distributions want to build their packages and all dependencies of
>   those themselves. So it must be possible to download a source distribution of
>   jitsi (prefarable as .tar.gz or .tar.bz2) that does not contain any
>   third-party binaries and build jitsi from this source distribution with the
>   help of the dependencies existing in the distro.

That's what we are currently working on. I have just reopened the
issue so that whoever's interested would be able to track progress.

http://java.net/jira/browse/JITSI-997

Thank you for creating it.

> -----------------------------------------------------------------------------
>
> JITSI-998 review and document licenses and origins of images in jitsi
>           (by Thomas Koch)
>
>   A distro packager needs to be sure that the images coming with Jitsi can be
>   distributed under a free license. If the images are taken from common sets
>   like Tango it would even be preferable for a packager to not ship the images
>   in the jitsi package but to depend on the tango package of the distribution.

All Jitsi image have been designed by Jitsi developers. Besides we are
currently working on integrating new set of icons and labels that
BlueJimp's Joro Gomes has created for us, so there shouldn't be any
issues there.

> -----------------------------------------------------------------------------
>
> I am looking forward to read your comments on these issues.

Thanks again for taking the issues here and please let us know if you
have any other questions

Cheers,
Emil



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#627362; Package wnpp. (Sun, 23 Sep 2012 16:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <christoph.anton.mitterer@lmu.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Sep 2012 16:21:05 GMT) Full text and rfc822 format available.

Message #47 received at 627362@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <christoph.anton.mitterer@lmu.de>
To: 627362@bugs.debian.org
Subject: Re: RFP: jitsi -- multi-protocol audio/video and chat communicator
Date: Sun, 23 Sep 2012 17:54:20 +0200
[Message part 1 (text/plain, inline)]
Hey.

What's the status on this RFP? :)

Any expectations on whether/when we'll see it in sid?


Cheers,
Chris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#627362; Package wnpp. (Thu, 25 Oct 2012 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guest One <theguestone@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 25 Oct 2012 12:45:03 GMT) Full text and rfc822 format available.

Message #52 received at 627362@bugs.debian.org (full text, mbox):

From: Guest One <theguestone@gmail.com>
To: 627362@bugs.debian.org
Date: Thu, 25 Oct 2012 14:42:25 +0200
[Message part 1 (text/plain, inline)]
Any news about the inclusion in official debian repositories?
Jitsi is one of the best softphones for SIP protocol and works good.
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP: jitsi -- multi-protocol audio/video and chat communicator' from 'RFP: jitsi -- multi-protocol audio/video and chat communicator' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Mon, 10 Dec 2012 18:09:07 GMT) Full text and rfc822 format available.

Owner recorded as Damian Minkov <damencho@jitsi.org>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Mon, 10 Dec 2012 18:09:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 627362: 695588 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Tue, 11 Dec 2012 04:24:05 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Antoine Beaupré <anarcat@debian.org>' from 'Antoine Beaupré <anarcat@debian.org>' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 21 Mar 2013 21:28:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Damian Minkov <damencho@jitsi.org>:
Bug#627362; Package wnpp. (Fri, 09 Aug 2013 08:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Damian Minkov <damencho@jitsi.org>. (Fri, 09 Aug 2013 08:51:09 GMT) Full text and rfc822 format available.

Message #65 received at 627362@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: 627362@bugs.debian.org
Subject: Re: jitsi: block ITP 627362 by RFS 695588
Date: Fri, 09 Aug 2013 10:46:29 +0200
Hi,

Bart Martens wrote (11 Dec 2012 04:20:26 GMT) :
> block 627362 by 695588

It seems that Jitsi was accepted, but not yet installed into the pool
yet. Not being very familiar with the ftp-masters process, is it now
only a matter of waiting a day or three, or is there anything else
blocking Jitsi from entering the archive?

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Reply sent to Mònica Ramírez Arceda <monica@debian.org>:
You have taken responsibility. (Sat, 10 Aug 2013 14:27:04 GMT) Full text and rfc822 format available.

Notification sent to Antoine Beaupré <anarcat@debian.org>:
Bug acknowledged by developer. (Sat, 10 Aug 2013 14:27:05 GMT) Full text and rfc822 format available.

Message #70 received at 627362-close@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@debian.org>
To: 627362-close@bugs.debian.org
Subject: bug 627362 is ITP for package jitsi already in Debian
Date: Sat, 10 Aug 2013 16:26:03 +0200
Hi,

I'm closing this bug because this package is already in Debian: http://packages.qa.debian.org/jitsi

Regards.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Sep 2013 07:30:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:05:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.